package net.buildbox.sample.likesiri2;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;


public class LogCursorLoader extends SimpleCursorLoader {

	public LogCursorLoader(Context context) {
		super(context);
	}

	@Override
	public Cursor loadInBackground() {
		// ログ取得用のCursorインスタンスをSQLiteから取得
		LogDBHelper logHelper = LogDBHelper.getInstance(getContext());
		SQLiteDatabase logDB = logHelper.getReadableDatabase();
		Cursor cursor = logDB.query(LogDBHelper.DB_TABLE, LogDBHelper.LOG_PROJECTION,
				null, null, null, null, "_id desc", null);
		
		return cursor;
	}

}
